/****************************************************************************************
 * Copyright (C) 2011 Lucien XU <sfietkonstantin@free.fr>                               *
 *                                                                                      *
 * This program is free software; you can redistribute it and/or modify it under        *
 * the terms of the GNU General Public License as published by the Free Software        *
 * Foundation; either version 3 of the License, or (at your option) any later           *
 * version.                                                                             *
 *                                                                                      *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY      *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A      *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.             *
 *                                                                                      *
 * You should have received a copy of the GNU General Public License along with         *
 * this program.  If not, see <http://www.gnu.org/licenses/>.                           *
 ****************************************************************************************/

import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: container
    signal clicked
    property alias checked: radio.checked
    property alias text: mainText.text
    property alias subText: subText.text

    height: 80
    width: parent.width

    BorderImage {
        id: background
        anchors.fill: parent
        visible: mouseArea.pressed
        source: "image://theme/meegotouch-list" + (theme.inverted ? "-inverted" : "") +
                "-background-pressed-center"
    }

    RadioButton {
        id: radio
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left; anchors.leftMargin: 16
    }

    Item {
        id: textContainer
        anchors.left: radio.right; anchors.leftMargin: 16
        anchors.right: parent.right; anchors.rightMargin: 16
        anchors.verticalCenter: parent.verticalCenter
        height: subText.text != "" ? mainText.height + 4 + subText.height :
                                         mainText.height

        Label {
            id: mainText
            anchors.left: parent.left; anchors.right: parent.right
            maximumLineCount: subText.text == "" ? 2 : 1
            elide: Text.ElideRight
            platformStyle: LabelStyle {
                fontPixelSize: 26
                textColor: !theme.inverted ? "#000000" : "#FFFFFF"
            }
        }

        Label {
            id: subText
            anchors.top: mainText.bottom; anchors.topMargin: 4
            anchors.left: parent.left; anchors.right: parent.right
            maximumLineCount: 1
            elide: Text.ElideRight
            platformStyle: LabelStyle {
                fontPixelSize: 20
                textColor: !theme.inverted ? "#8C8C8C" : "#B2B2B4"
            }
        }
    }

    MouseArea {
        id: mouseArea
        anchors.fill: container
        onClicked: container.clicked()
    }
}
