/****************************************************************************************
 * Copyright (C) 2012 Lucien XU <sfietkonstantin@free.fr>                               *
 *                                                                                      *
 * This program is free software; you can redistribute it and/or modify it under        *
 * the terms of the GNU General Public License as published by the Free Software        *
 * Foundation; either version 3 of the License, or (at your option) any later           *
 * version.                                                                             *
 *                                                                                      *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY      *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A      *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.             *
 *                                                                                      *
 * You should have received a copy of the GNU General Public License along with         *
 * this program.  If not, see <http://www.gnu.org/licenses/>.                           *
 ****************************************************************************************/

import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: container
    signal apkSelected()

    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: window.pageStack.pop()
        }

        ToolButton {
            anchors.centerIn: parent
            text: qsTr("Select APK")
            onClicked: {
                container.apkSelected()
                window.pageStack.pop()
            }
        }

        ToolIcon {
            iconId: "toolbar-refresh"
            onClicked: APK_MODEL.update()
        }
    }
    Label {
        id: title
        anchors.left: parent.left; anchors.leftMargin: 16
        anchors.right: parent.right; anchors.rightMargin: 16
        anchors.top: parent.top; anchors.topMargin: 16
        text: qsTr("Select APK")
        font.pixelSize: 32
    }

    HorizontalSeparator {
        id: separator
        anchors.top: title.bottom; anchors.topMargin: 16
    }

    ListView {
        clip: true
        anchors.top: separator.bottom; anchors.topMargin: 16
        anchors.bottom: parent.bottom
        anchors.left: parent.left; anchors.right: parent.right
        contentWidth: container.width
        model: APK_MODEL
        delegate: ClickableEntry {
            text: model.name
            subText: model.path
            checked: model.selected
            onClicked: APK_MODEL.select(model.index)
        }

        BusyIndicator {
            anchors.centerIn: parent
            visible: APK_MODEL.updating && container.visible
            running: APK_MODEL.updating
            platformStyle: BusyIndicatorStyle {size: "large"}
        }
    }
}
